/* LpEntryItem.cpp
 */
#include "LpEntryItem.h"

/*************************************************************************
 * EX-BANK-ITEM
 *************************************************************************/
LpEntryItem::LpEntryItem(const LpEntry* entry)
		: BStringItem("item")
{
	Synchronize(entry);
}

void LpEntryItem::Synchronize(const LpEntry* entry)
{
	const char*		newText = "<error>";
	if ( (entry != 0) && (entry->Name() != 0) )
		newText = entry->Name();
	if (strcmp(Text(), newText) != 0)
		SetText( newText );
}

status_t LpEntryItem::RemoveFrom(LpEntryCollection* collection)
{
	return collection->RemoveEntry( Text() );
}
