/* string_vec
 */
#include <stdio.h>
#include <assert.h>
#include <malloc.h>
#include "string_vec.h"

void FreeVector(string_vec& vec)
{
	while (vec.size() > 0) {
		string_vec::iterator	i = vec.begin();
		free(*i);
		vec.erase(i);
	}
}

int32 IndexFor(const char *str, string_vec& vec)
{
	for (uint32 k=0; k<vec.size(); k++) {
		if (strcmp(str, vec[k]) == 0) return (int32)k;
	}
	return -1;
}
